<template>
  <router-link :class="$style.book" tag="div" :to="link" :title="link">
    <div
      :class="$style.image"
      :style="{ backgroundImage: `url(${imageUrl})` }"
    ></div>
    <div :class="$style.content">
      <div :class="$style.rate">
        <rate :rating="rating" />
      </div>
      <h3 :class="$style.title">
        {{ title }}
      </h3>
      <p :class="$style.description">
        {{ description }}
      </p>
    </div>
  </router-link>
</template>

<script>
import { Rate } from "./ui";

export default {
  name: "BookItem",
  components: { Rate },
  props: {
    id: {
      type: String,
      default: ""
    },
    title: {
      type: String,
      default: ""
    },
    rating: {
      type: Number,
      default: 0
    },
    description: {
      type: String,
      default: ""
    },
    imageUrl: {
      type: String,
      default: ""
    }
  },
  computed: {
    link() {
      return `/book/${this.id}`;
    }
  }
};
</script>

<style lang="scss" module>
@import "../shared/styles/imports.scss";

.book {
  display: flex;
  padding: 12px;
  border-radius: 8px;
  cursor: pointer;

  &:hover {
    background-color: $mainBgColor;
  }
}

.image {
  @include backgroundContain();

  width: 74px;
  height: 101px;
  margin-right: 16px;
}

.content {
  flex: 1;
}

.title {
  margin: 10px 0;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
}

.description {
  margin: 0;
  font-size: 13px;
  line-height: 17px;
}
</style>
